services:
    d2_aramex_service_definition_manager:
        class:          D2\AramexBundle\DependencyInjection\Services\ServiceDefinitionManager
        arguments:      [@service_container, @doctrine.orm.entity_manager]

    d2_aramex_partner_file_manager:
        class:          D2\AramexBundle\DependencyInjection\Services\PartnerFileManager
        arguments:      [@service_container, @doctrine.orm.entity_manager]

    d2_aramex_waybill_manager:
        class:          D2\AramexBundle\DependencyInjection\Services\WaybillManager
        arguments:      [@service_container, @doctrine.orm.entity_manager, @d2_aramex_service_definition_manager, @d2_calc_manager]

    d2_aramex_bundle.twig.aramex_extension:
        class:          D2\AramexBundle\Twig\AramexTwigExtension
        arguments:      [@doctrine, @service_container, @d2_aramex_partner_file_manager, @d2_aramex_service_definition_manager]
        tags:
            - { name: twig.extension }

    # With Selected Extensions
    d2_aramex_bundle.waybill_with_selected.extension:
        class:          D2\AramexBundle\DependencyInjection\Services\WaybillsWithSelectedExtension
        arguments:      [@doctrine, @service_container]
        tags:
            - { name: d2.with_selected, alias: aramex_list }
            - { name: d2.with_selected, alias: aramex_waybill }
